<?php
namespace Modules\NsGastro\Listeners;

use App\Events\OrderAfterCreatedEvent;
use Modules\NsGastro\Services\TableService;

class OrderAfterCreatedEventListener
{
    public function __construct( public TableService $tableService )
    {
        
    }
    public function handle( OrderAfterCreatedEvent $event )
    {
        $this->tableService->saveTable( $event->order );
    }
}